[pypy-issue] Issue #2708: pypy3 does not install "pip" only "pip3" (pypy/pypy)

Greg Lindahl issues-reply at bitbucket.org
Thu Dec 14 21:36:04 EST 2017


New issue 2708: pypy3 does not install "pip" only "pip3"
https://bitbucket.org/pypy/pypy/issues/2708/pypy3-does-not-install-pip-only-pip3

Greg Lindahl:

I used pyenv to install pypy3.5-5.9.0, it must have used the binaries because it was quick.

When it was done, there was no pip command.

Eventually I figured out that it installed pip3, but not pip.

My makefiles use pip, that works great with pyenv and with travis-ci (which apparently uses virtualenv).

Since "python" got a pypy binary, it's hard to believe that installing "pip" would cause problems for people in other environments.




More information about the pypy-issue mailing list